마스터 비밀번호
마스터 비밀번호 만들기
Create a master password under the path account.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
마스터 비밀번호 만들기
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"generate": false,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials"
payload = {
"name": "<string>",
"domain": "<string>",
"generate": False,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
generate: false,
value: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>",
"generated_secret": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}인증
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
경로 매개변수
본문
application/json
계정 경로 범위에서 마스터 비밀번호를 만들기 위한 요청입니다.
응답
마스터 비밀번호 생성 타임스탬프
마스터 비밀번호 UUID
마스터 비밀번호 표시 이름
마스터 비밀번호 범위의 리소스 UUID
마스터 비밀번호가 적용되는 리소스 범위 유형
사용 가능한 옵션:
account, workspace, domain 마스터 비밀번호 마지막 업데이트 타임스탬프
요청 시 반환되는 한 번만 생성된 마스터 비밀번호 시크릿
이 페이지가 도움이 되었나요?
⌘I
마스터 비밀번호 만들기
